/*
 * Created on 6-mag-2003
 */
package it.uniba.di.dme.gui;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;


/**
 * @author Ignazio Palmisano
 */
public class AbstractInnerPanel extends JPanel {
	static final Dimension dim = new Dimension(120, 20);
	static final Dimension dimList = new Dimension(120, 60);
	static final Dimension dimButtons = new Dimension(50, 20);
	static final Dimension MAXDIM = new Dimension(400, 300);
	static final Dimension MAXDIMPanel = new Dimension(390, 290);

	/* (non-Javadoc)
	 * @see java.awt.Component#setEnabled(boolean)
	 */
	public void setEnabled(boolean b) {
		super.setEnabled(b);
		AbstractInnerPanel.setEnabled(b, this.getComponents());
	}

	/**sets the component status and its subcomponents status
	 * @param b the new status
	 * @param objs list of components to set
	 */
	public static void setEnabled(boolean b, Object[] objs) {
		for (int i = 0; i < objs.length; i++) {
			if (objs[i] instanceof Component) {
				((Component) objs[i]).setEnabled(b);
			}

			if (objs[i] instanceof Container) {
				setEnabled(b, ((Container) objs[i]).getComponents());
			}
		}
	}

	/**
	 * sets the action listener for a list of components and their subcomponents
	 * @param theListener action Listener
	 * @param theArray the array of components
	 * */
	public static void setActionListener(ActionListener theListener,
		Object[] theArray) {
		for (int i = 0; i < theArray.length; i++) {
			if (theArray[i] instanceof JButton) {
				((JButton) theArray[i]).addActionListener(theListener);
			}

			if (theArray[i] instanceof Container) {
				AbstractInnerPanel.setActionListener(theListener,
					((Container) theArray[i]).getComponents());
			}
		}
	}
}
