/**
 * Created on 28-ott-02
 */
package it.uniba.di.dme.gui;


import it.uniba.di.dme.gui.interfaces.GUI;

import java.awt.Color;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;


/**
this class encapsulates an interface able to display some messages of interest for the designer of the system: arrived
 *                    messages, behaviours wakened, lost messages (analog to have multiple consoles, in the end...)
 * @author Antonio Giuliani 
 */
public class DesignerConsole extends JFrame implements GUI {
	private JTextArea logEdit;

	/**
	 * @param title the title of the window
	 */
	public DesignerConsole(String title) {
		super(title);
		this.logEdit = new JTextArea(null, 7, 20);

		try {
			jbInit();
		} catch (Exception e) {
			e.printStackTrace(System.out);
		}
	}

	/**
	 * writes an output
	 *
	 * @param outMsg the message to write
	 */
	public final void writeOutput(String outMsg) {
		this.logEdit.setText(this.logEdit.getText() + '\n' + outMsg);
	}

	/**
	 * sets the foreground color
	 * @param theColor the color to set
	*/
	public void setForeGround(Color theColor) {
		this.logEdit.setForeground(theColor);
	}

	/**
	 * init of the component
	 *
	 * @throws Exception if there is any problem intiating the component
	 */
	public void jbInit() throws Exception {
		JScrollPane ciccio = new JScrollPane(this.logEdit);
		this.getContentPane().add(ciccio);
		this.pack();
	}

	/* (non-Javadoc)
	 * @see dme.architecture.guiinterfaces.GUI#showGUI()
	 */
	public final void showGUI() {
		this.setVisible(true);
	}
}
