/*
 * Created on 9-mag-2003
 */
package it.uniba.di.dme.gui;

import javax.swing.JList;
import javax.swing.JScrollPane;
import javax.swing.event.ListSelectionListener;


/**
 * A class holding a JList inside a ScrollPane
 * @author Ignazio Palmisano
 */
public class ListScrollPane extends JScrollPane {
	/**the list model*/

	//protected DefaultListModel defaultList = new DefaultListModel();
	protected Object[] defaultList;

	/**the list*/
	protected JList theDisplayedList; // = new JList(defaultList);
	protected ListSelectionListener listener=null; 

	/**
	 * Creates a new ListScrollPane object.
	 */
	public ListScrollPane() {
		super();
		this.theDisplayedList=new JList();
		this.defaultList=new Object[0];
		this.refresh();
	}
public void refresh() {
	if(this.listener!=null) {
		this.theDisplayedList.addListSelectionListener(this.listener);
	}
	this.getViewport().setView(this.theDisplayedList);
}
	
	//	public void addItem(String item) {
	//		defaultList..addElement(item);
	//		theDisplayedList.setSelectedIndex(0);
	//	}
	//	public void addItem(String item, int position) {
	//		defaultList.add(position, item);
	//	}
	public Object getSelectedItem() {
		return this.defaultList[this.getSelectedIndex()];
	}

	/**
	 * @return the selected index
	 */
	public int getSelectedIndex() {
		return this.theDisplayedList.getSelectedIndex();
	}

	/**
	 * @param i the index of the item
	 *
	 * @return the item in position i
	 */
	public Object getItem(int i) {
		return this.defaultList[i];
	}

	/**
	 * @return all items as array
	 */
	public Object[] getItems() {
		return this.defaultList;
	}

	/**
	 * @param list the array of new items
	 */
	public void setItems(Object[] list) {
		this.defaultList = list;
		this.theDisplayedList = new JList(this.defaultList);
		this.refresh();
	}

	/**
	 * cleans the list
	 */
	public void removeAllItems() {
		this.defaultList = null;
		this.theDisplayedList = new JList();
		this.refresh();
	}
	public void addListener(ListSelectionListener theListener) {
		this.listener=theListener;
		this.refresh();
	}

	/**
	 * gets the origin of click events
	 *
	 * @return the origin
	 */
	public Object getEventOrigin() {
		return this.theDisplayedList;
	}
}
