/**
 * Created on 15-ott-2002
 */
package it.uniba.di.dme.gui;


import it.uniba.di.dme.gui.interfaces.ComponentWithActionListener;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;


/**
 * Questa classe incapsula un Action Listener per una classe che implementa ComponentWithActionListener
 *
 * @author Antonio Giuliani 
 */
public class StandardActionListener implements ActionListener,
	ListSelectionListener {
	/** private member to hold the frame reference */
	private ComponentWithActionListener myFrame;

	/**
	 * Creates a new StandardActionListener object.
	 *
	 * @param theFrame the frame owning the actionlistener
	 */
	public StandardActionListener(ComponentWithActionListener theFrame) {
		super();
		this.myFrame = theFrame;
	}

	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent e) {
		this.myFrame.switchActionPerformed(e);
	}

	/* (non-Javadoc)
	 * @see javax.swing.event.ListSelectionListener#valueChanged(javax.swing.event.ListSelectionEvent)
	 */
	public void valueChanged(ListSelectionEvent e) {
		this.myFrame.switchSelectionPerformed(e);
	}
}
